// Code generated by goctl. DO NOT EDIT.
package types

type Feature struct {
	ID    int64  `json:"id"`     // 功能ID
	ApiID string `json:"api_id"` // API标识
	Name  string `json:"name"`   // 功能描述
}

type GetProductByEnRequest struct {
	ProductEn string `path:"product_en"`
}

type GetProductByIDRequest struct {
	Id int64 `path:"id"`
}

type MobileCodeLoginReq struct {
	Mobile string `json:"mobile"`
	Code   string `json:"code" validate:"required"`
}

type MobileCodeLoginResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type MobileLoginReq struct {
	Mobile   string `json:"mobile" validate:"required,mobile"`
	Password string `json:"password" validate:"required"`
}

type MobileLoginResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type Product struct {
	ProductName string    `json:"product_name"`
	ProductEn   string    `json:"product_en"`
	Description string    `json:"description"`
	Notes       string    `json:"notes,optional"`
	SellPrice   float64   `json:"sell_price"`
	Features    []Feature `json:"features"` // 关联功能列表
}

type ProductResponse struct {
	Product
}

type Query struct {
	Id         int64                    `json:"id"`         // 主键ID
	OrderId    int64                    `json:"order_id"`   // 订单ID
	UserId     int64                    `json:"user_id"`    // 用户ID
	ProductId  int64                    `json:"product_id"` // 产品ID
	QueryData  []map[string]interface{} `json:"query_data"`
	CreateTime string                   `json:"create_time"` // 创建时间
	UpdateTime string                   `json:"update_time"` // 更新时间
	QueryState string                   `json:"query_state"` // 查询状态
}

type QueryDetailByOrderIdReq struct {
	OrderId int64 `path:"order_id"`
}

type QueryDetailByOrderIdResp struct {
	Query
}

type QueryDetailReq struct {
	Id int64 `path:"id"`
}

type QueryDetailResp struct {
	Query
}

type QueryExampleReq struct {
	Feature string `form:"feature"`
}

type QueryExampleResp struct {
	Query
}

type QueryListReq struct {
	Page     int64 `form:"page"`      // 页码
	PageSize int64 `form:"page_size"` // 每页数据量
}

type QueryListResp struct {
	Total int64   `json:"total"` // 总记录数
	List  []Query `json:"list"`  // 查询列表
}

type QueryReq struct {
	Data string `json:"data" validate:"required"`
}

type QueryResp struct {
	PrepayID string `json:"prepay_id"`
	OrderID  int64  `json:"order_id"`
}

type QueryRetryReq struct {
	Id int64 `path:"id"`
}

type QueryRetryResp struct {
}

type RegisterReq struct {
	Mobile   string `json:"mobile" validate:"required,mobile"`
	Password string `json:"password" validate:"required,min=11,max=11,password"`
	Code     string `json:"code" validate:"required"`
}

type RegisterResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type User struct {
	Id       int64  `json:"id"`
	Mobile   string `json:"mobile"`
	NickName string `json:"nickName"`
}

type UserInfoResp struct {
	UserInfo User `json:"userInfo"`
}

type WXMiniAuthReq struct {
	Code          string `json:"code"`
	IV            string `json:"iv"`
	EncryptedData string `json:"encryptedData"`
}

type WXMiniAuthResp struct {
	AccessToken  string `json:"accessToken"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type SendSmsReq struct {
	Mobile     string `json:"mobile" validate:"required,mobile"`
	ActionType string `json:"actionType" validate:"required,oneof=login register query"`
}
